summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdvm/764579/testcase22
1 files changed, 22 insertions, 0 deletions
diff --git a/dvm/764579/testcase b/dvm/764579/testcase
new file mode 100755
index 0000000..70b15c1
--- /dev/null
+++ b/dvm/764579/testcase
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+brick=`perl -e 'print "thisisbrickname"x40'`
+longpath=`perl -e 'print "/reallylong/"x50'`
+
+mkdir -p $EXPORT_DIR/$global_bug_id/$longpath
+
+# This check is for NAME_MAX
+name_status=$($GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/$brick\
+ |grep 'too long'|wc -l )
+
+# This check is for PATH_MAX
+path_status=$($GLUSTERFSDIR/gluster volume create $global_bug_id \
+ $(hostname):$EXPORT_DIR/$global_bug_id/$longpath/brick1|grep 'too long'|wc -l)
+
+if [ $name_status -ne 1 -o $path_status -ne 1 ]; then
+ exit 1
+else
+ exit 0
+fi